/***************************************************************************
                          rlog.h  -  description
                             -------------------
    begin                : Mon Sep 27 1999
    copyright            : (C) 1999 by Andreas Mustun
    email                : andrew@ribbonsoft.com
 ***************************************************************************/

/****************************************************************************
** rlog.h 1998/08/27 A. Mustun RibbonSoft 
**
** Copyright (C) 1998 RibbonSoft.  All rights reserved.
**
*****************************************************************************/

#ifndef RLOG_H
#define RLOG_H

#include <qtextstream.h>

#include "rprgdef.h"

#define RLOG     RLog::getRLog()->log
#define RLOGTIME RLog::getRLog()->logTime

class QFile;

class RLog : public QTextStream
{

protected:
  RLog();
  
  static RLog* theOneAndOnlyRLog;

  QFile* file;

public:
  ~RLog();
  
  static RLog* getRLog();

  void   log(const char* _log);
  void   log(int _log);
  void   log(double _log);
  void   log(char _log);

#ifndef DEF_SOLARIS
  void   log(bool _log);
#endif

  void   logTime();

};


#endif

// EOF


