/***************************************************************************
                          rsplitter.cpp  -  description
                             -------------------
    begin                : Mon Sep 27 1999
    copyright            : (C) 1999 by Andreas Mustun
    email                : andrew@ribbonsoft.com
 ***************************************************************************/


/****************************************************************************
** rsplitter.cpp 1998/08/27 A. Mustun RibbonSoft
**
** Copyright (C) 1998 RibbonSoft.  All rights reserved.
**
*****************************************************************************/

#include <qpainter.h>

#include "rsplitter.h"
#include "rmath.h"

// Constructor:
//
RSplitter::RSplitter(QWidget* _parent, const char* _name)
:QSplitter(_parent, _name)
{
  setOpaqueResize(false);
}



// Destructor:
//
RSplitter::~RSplitter()
{

}


// move splitter to most right position:
//
void
RSplitter::moveToRight()
{ 
  QValueList<int> vl;
  vl += width();
  vl += 0;
  setSizes(vl);
}



// move splitter to most left position:
//
void
RSplitter::moveToLeft()
{
  QValueList<int> vl;
  vl += 0;
  vl += width();
  setSizes(vl);
}



// move splitter to center position:
//
void
RSplitter::moveToCenter()
{
  QValueList<int> vl;
  vl += width()/2;
  vl += width()/2;
  setSizes(vl);
}


// EOF

