/***************************************************************************
                          rtoolbutton.h  -  description
                             -------------------
    begin                : Mon Sep 27 1999
    copyright            : (C) 1999 by Andreas Mustun
    email                : andrew@ribbonsoft.com
 ***************************************************************************/

/****************************************************************************
** rtoolbutton.h 1999/04/14 A. Mustun RibbonSoft 
**
** Copyright (C) 1998 RibbonSoft.  All rights reserved.
**
*****************************************************************************/

#ifndef RTOOLBUTTON_H
#define RTOOLBUTTON_H

#include <qtoolbutton.h>
#include "rprgdef.h"


class RToolButton : public QToolButton
{
  Q_OBJECT
public:
  /*! Constructor
      \param _parent The parent widget
      \param _name Name
  */
  RToolButton(QWidget* _parent=0, 
              const char* _name=0,
              bool _forwardRightClick=false);
  /*! Destructor
  */
  ~RToolButton();

  /*! Draws the button in my own style
  */
  void drawButton( QPainter * p );

protected:
  /*! Mouse button released
  */
  void mouseReleaseEvent(QMouseEvent* _ev);
    
private:
  /*! Must we forward the right click of the mouse
  */
  bool forwardRightClick;

  
};


#endif

// EOF


